Description

Hi

I'd like to see a non-ambiguous date/time format added to Redmine, which also respects standard ISO ordering.

ISO ordering is largest --> smallest component.  In practice, that means year > month > day > hour > minute > second.

Non-ambiguous means that some indicator must be present to show what component is the day-of-month and what is the

month-of-year.

I've attached a patch that fixes this in the easiest and most readily legible way possible for all nationalities.

History

#1 - 2010-11-03 11:31 - Felix Schäfer

There's already %Y-%m-%d, not sure having the month name instead of number would be so much better/different, especially because I'd rather

have the name rather than the number in more "human readable" formats, i.e. in stuff like %d %b %y.

#2 - 2011-02-14 18:36 - Albert Rosenfield

Felix Schäfer: %Y-%m-%d is not a good enough format, since it is ambiguous for any dates where the day-of-month is 12 or less.

There is no way of telling from reading such a printed date, eg. 2011-01-12, if it is (in this example) january 12 or december 1.

#3 - 2024-01-24 01:13 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The YYYYY-MM-DD format is standardized in ISO 8601 and I do not think it is ambiguous.

https://www.iso.org/iso-8601-date-and-time-format.html
